#include <FFel.hpp>
#include "gtest/gtest.h"

using FF = FFel<7>;

TEST (FFelTestPrime, Plus){
    FF one = FF::one;
    FF three = FF(3);
    EXPECT_EQ (one + one + one, three);
}

TEST (FFelTestPrime, Minus){
    FF one = FF::one;
    FF two = FF(2);
    FF four = FF(4);
    FF minusFive = FF(-5);
    EXPECT_EQ(one - two - four, minusFive);
}

TEST (FFelTestPrime, ElementsReady){
    EXPECT_EQ(FF::all()[2], FF(2));
}
